PermuteDocs
Go to Permute

Actions · actionsCreate

Create a business action

Requires business action creation admin permission. Creates an independent workspace resource; save and publish its definition before invoking.

POST/v1/actions
betaapiKeyworkspace

When to use

Create an action resource before saving its code and selected sources.

For agents

Requires business action creation admin permission. Save a definition and publish it through client.revisions before invoking.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const orgClient = new PermuteClient({
  apiKey: process.env.PERMUTE_API_KEY!,
});

const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);

const result = await client.actions.create({
  "name": "Create contact"
});

Request body

json
{
  "name": "Create contact"
}

Response

json
{
  "data": {
    "id": "actn_abcdefghijklmnopqrstuvwx",
    "workspaceId": "wksp_finance123",
    "name": "Create contact",
    "createdAt": "2026-10-02T12:00:00.000Z",
    "updatedAt": "2026-10-02T12:00:00.000Z"
  }
}